#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.8
visibility:           public
id:                   foldl-1.4.8-5mFKl7VsGRWLlXgXlLAGuC
key:                  foldl-1.4.8-5mFKl7VsGRWLlXgXlLAGuC
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  e4c06d320e0f552ffd4fe48aac5c49df
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:       Control.Foldl.Optics Control.Foldl.Internal
import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.8
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.8
hs-libraries:         HSfoldl-1.4.8-5mFKl7VsGRWLlXgXlLAGuC
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-7zsbNzyscAAEyXYpxXSY0L containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-IhQ3DGT3Mv7KNucUf0KrvO
    mwc-random-0.15.0.1-FIqdPFVt9xC5OnBG9lchoY
    primitive-0.7.1.0-A58BMPiq4VQ1iqaykvjnLa
    profunctors-5.5.2-4JbN4QtvDwi27dWqL38InP
    semigroupoids-5.3.4-726ArNmPc7h1AkDhQGaKZT text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.12.0-L7e0ebfosZDK7txbADKTIQ
    vector-0.12.1.2-E9lCzNvHLtkKefSxgFoNMj
    vector-builder-0.3.8-AAnGG85KdSOEuC9MSIQvs4

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

